with import <nixpkgs> {};

vim_configurable.customize {
  name = "vim";
  vimrcConfig.customRC = ''
    set hidden

    " langserver
    let g:LanguageClient_serverCommands = {
      \ 'rust': ['rust-analyzer'],
      \ 'python': ['pyls'],
      \ }

    let g:deoplete#enable_at_startup = 1

  '';

  vimrcConfig.packages.myVim = with pkgs.vimPlugins; {
    start = [
      airline
      easymotion
      fugitive
      fzf
      LanguageClient-neovim
      surround
      syntastic
      vim-mucomplete
    ];
  };
}
